# $Revision: 1.77 $, $Date: 2010/06/13 20:48:09 $
#
# Conditional build:
%bcond_with	libzio	# use libzio for I/O (currently doesn't work because of unsupported seeking)
#
Summary:	An enhanced front-end for the ghostscript PostScript(TM) interpreter
Summary(de.UTF-8):	Verbessertes Frontend für Ghostscript
Summary(fr.UTF-8):	Frontal amélioré pour ghostscript
Summary(pl.UTF-8):	Zaawansowana nakładka na ghostscripta (interpreter PostScriptu(TM))
Summary(tr.UTF-8):	Ghostscript için grafik arayüz
Name:		gv
Version:	3.7.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/gv/%{name}-%{version}.tar.gz
# Source0-md5:	bf4823d00d8e431f97dbcb7dd87c46ac
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-wheel.patch
Patch1:		%{name}-info.patch
URL:		http://www.gnu.org/software/gv/ 
BuildRequires:	Xaw3d-devel >= 1.5E
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel
%{?with_libzio:BuildRequires:	libzio-devel}
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
Requires:	ghostscript
Obsoletes:	ghostview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gv provides a user interface for the ghostscript PostScript(TM)
interpreter. Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.

%description -l de.UTF-8
gv ermöglicht das Einsehen und Navigieren von PostScript- und PDF-
Dokumenten unter X, indem es eine Benutzeroberfläche für den
Ghostscript- Interpreter bereitstellt. gv basiert auf dem älteren
Programm ghostview.

%description -l fr.UTF-8
gv permet de visualiser et de naviguer dans les documents PostScript
et PDF sur un écran X en offrant une interface pour l'interpréteur
ghostscript. gv est basé sur un ancien programme appelé ghostview.

%description -l pl.UTF-8
gv umożliwia oglądanie i manipulację plikami postscriptowymi i
dokumentami w formacie PDF pod X Window. Udostępnia graficzny
interfejs użytkownika do programu ghostscript będącego interpreterem
języka postscript.

%description -l tr.UTF-8
gv, PostScript ve PDF dosyalarını bir X ekranı üzerinde gösterebilen
ve üzerlerinde dolaşmayı sağlayan bir ghostscript arayüzüdür.
Ghostview adıyla bilinen programdan yola çıkılarak hazırlanmıştır.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# libzio uses weak symbols to access libbz2 and libz, so -as-needed
# normally kills them from linking
%{?with_libzio:LDFLAGS="-lbz2 -lz %{rpmldflags}"}
%configure \
	%{!?with_libzio:ac_cv_header_zlib_h=no ac_cv_header_bzlib_h=no ac_cv_header_zio_h=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
ln -sf gv $RPM_BUILD_ROOT%{_bindir}/ghostview

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ghostview
%attr(755,root,root) %{_bindir}/gv
%attr(755,root,root) %{_bindir}/gv-update-userconfig
%{_datadir}/gv
%{_desktopdir}/gv.desktop
%{_pixmapsdir}/gv.png
%{_mandir}/man1/gv.1*
%{_mandir}/man1/gv-update-userconfig.1*
%{_infodir}/gv.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gv.spec,v $
Revision 1.77  2010/06/13 20:48:09  draenog
- 3.7.1 (fixes unable to print/save pdf files in 3.7.0)

Revision 1.76  2010/06/10 19:12:33  draenog
- 3.7.0 (fixes CVE-2010-2055 and CVE-2010-2056)

Revision 1.75  2010/02/14 21:53:10  draenog
- up to 3.6.8

Revision 1.74  2009/03/24 10:41:23  adamg
- updated to 3.6.7

Revision 1.73  2008/10/13 21:22:00  qboosh
- updated to 3.6.6
- removed obsolete buffer,quote patches
- libzio disabled by default (broken, needs seek which is unsupported)

Revision 1.72  2008/07/10 21:15:18  qboosh
- updated to 3.6.5

Revision 1.71  2008/06/03 05:47:08  qboosh
- info patch is back (updated)

Revision 1.70  2008-06-01 20:33:18  adamg
- updated to 3.6.4

Revision 1.69  2008-04-08 08:24:52  glen
- unify ftp.gnu.org urls

Revision 1.68  2008-01-24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.67  2007-09-04 12:22:14  baggins
- rel 2

Revision 1.66  2007/07/11 04:57:09  qboosh
- GPL v2+

Revision 1.65  2007/07/06 06:12:06  qboosh
- updated to 3.6.3 (fixes CVE-2006-5864 and gs 8.57 compatibility)

Revision 1.64  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.62  2006/12/23 11:28:59  arekm
- rel 1

Revision 1.61  2006/10/18 16:07:01  qboosh
- switched to modular xorg

Revision 1.60  2006/10/18 10:25:30  glen
- check-files cleanup

Revision 1.59  2006/10/18 10:07:56  qboosh
- updated to 3.6.2, updated quote patch

Revision 1.58  2005/01/09 21:01:59  qboosh
- updated to 3.6.1, updated buffer,quote patches

Revision 1.57  2004/11/23 21:43:25  qboosh
- added info patch

Revision 1.56  2004/11/23 18:49:16  qboosh
- rel 0.2 for updated/fixed wheel and quote patches

Revision 1.55  2004/11/22 23:56:08  qboosh
- (updated) buffer security patch is back; quote,wheel patches need update - release 0.1

Revision 1.54  2004/11/21 08:07:51  ankry
- spaces -> tabs

Revision 1.53  2004/11/20 22:24:12  undefine
- update to 3.6.0

Revision 1.52  2004/03/12 12:28:42  jajcus
- Release: 23
- AMD64 fix: %{_prefix}/lib, not %{_libdir} (however %{_datadir} would be even better)

Revision 1.51  2003/11/22 17:11:00  gotar
- _applnkdir -> _desktopdir
- use _pixmapsdir macro

Revision 1.50  2003/10/03 08:36:18  qboosh
- _appdefsdir macro name unification

Revision 1.49  2003/06/11 14:57:30  malekith
- it can be now build with gcc 3.3
- release 22

Revision 1.48  2003/05/27 08:59:02  trojan
- added Source-md5

Revision 1.47  2003/05/25 05:48:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/04/28 17:29:46  qboosh
- release 21: rebuild with Xaw3d 1.5E (gv compiled on 1.5 segfaults with 1.5E)

Revision 1.45  2003/04/02 22:43:40  qboosh
- fixed app-defaults path

Revision 1.44  2003/02/11 23:29:17  ankry
- typos

Revision 1.43  2003/02/11 18:15:41  mmazur
- don't use /usr/X11
- rel20; dunno if it works

Revision 1.42  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.41  2002/10/17 12:25:36  qboosh
- added security fix for buffer overflows (buffer patch from RH)
- release 19, STBR

Revision 1.40  2002/10/17 09:39:17  ankry
- new %%doc, rel. 18

Revision 1.39  2002/10/17 08:12:37  qboosh
- updated Source0 URL

Revision 1.38  2002/04/25 16:32:23  arturs
fixed a small typo

Revision 1.37  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:13:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/12/29 14:13:48  pawelk
- added gv-wheel.patch (it add's mouse whell support)
- rel: 17

Revision 1.33  2001/08/13 12:52:35  kloczek
- added fix_NoMan patch (now gv build correctly on XF 4.1).

Revision 1.32  2001/08/13 00:51:06  kloczek
- release 16: spec adapterized.

Revision 1.31  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.30  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.29  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%%\{_datadir\}\/pixmaps/\%%\{_pixmapsdir\}/"

Revision 1.28  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.26  2000/12/13 18:21:25  kloczek
- release 15.

Revision 1.25  2000/12/11 08:20:49  qboosh
- fixed (swapped) debug condition handling

Revision 1.24  2000/11/05 20:12:39  kloczek
- release 14,
- removed xpm-devel from BuildRequires list,
- added icon for desktop file.

Revision 1.23  2000/09/29 11:43:39  kloczek
- release 13,
- more modifications for %%{debug},
- use rpm new automation suit,
- use "xmkmf -a" instead "xmkmf; make Makefiles".

Revision 1.22  2000/09/29 09:35:43  kura
- added BuildRequires: xpm-devel

Revision 1.21  2000/09/13 19:45:09  kloczek
- release 12,
- added quote patch (filename quoting patch from debian),
- spec adapterized,
- rebuild against Xaw3d 1.5,
- make spec %%debug friendly.

Revision 1.20  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/31 17:23:49  kloczek
- desktop file moved to Graphics/Viewers.

Revision 1.18  2000/05/30 14:34:16  michuz
- release 11
- %%applnkdir changed

Revision 1.17  2000/05/17 07:34:38  wiget
added BuildRequires

Revision 1.16  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.14  1999/11/12 00:58:04  kura
- fixed pl translation
- added Group(pl)

Revision 1.13  1999/10/13 13:08:04  kloczek
- release 9,
- updated en, pl %%description and Summary.

Revision 1.12  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/08/29 21:17:49  kloczek
- removed %%config from file with default X resources.

Revision 1.10  1999/08/29 21:12:36  kloczek
- release 8,
- removed emconfig file,
- removed %%{_libdir}/X11/gv/ files (this is example X resource files for
  gv),
- install as default gv X resources file gv_class.ad.

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Sun Nov  1 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.5.8-6]
- added %%clean section.

* Wed Aug 26 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.5.8-5]
- added -q %%setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- spec rewrited for using Buildroot,
- added using $RPM_OPT_FLAGS during compile,
- removed COPYING from %doc (copyright statment is in Copyright field),
- added %%config macro for gv X resources,
- added pl translation,
- added %%attr and %%defattr macros in %%files (allows build package from
  non-root account).

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installing a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
